<?xml version="1.0"?>
<!--*- mode: xml -*-->
<interface>
  <object class="GtkUIManager" id="uimanager1">
    <child>
      <object class="GtkActionGroup" id="actiongroup1">
        <child>
          <object class="GtkAction" id="game">
            <property name="name">game</property>
          </object>
        </child>
        <child>
          <object class="GtkAction" id="new">
            <property name="name">new</property>
            <signal handler="on_new_activate" last_modification_time="Sat, 08 May 2004 19:05:06 GMT" name="activate"/>
          </object>
        </child>
        <child>
          <object class="GtkAction" id="pause_game">
            <property name="name">pause_game</property>
            <signal handler="on_pause_game_activate" last_modification_time="Sat, 08 May 2004 19:05:06 GMT" name="activate"/>
          </object>
        </child>
        <child>
          <object class="GtkAction" id="quit">
            <property name="name">quit</property>
            <signal handler="on_quit_activate" last_modification_time="Sat, 08 May 2004 19:05:06 GMT" name="activate"/>
          </object>
        </child>
        <child>
          <object class="GtkAction" id="help">
            <property name="name">help</property>
          </object>
        </child>
        <child>
          <object class="GtkAction" id="about">
            <property name="name">about</property>
            <signal handler="on_about_activate" last_modification_time="Sat, 08 May 2004 19:05:06 GMT" name="activate"/>
          </object>
        </child>
      </object>
    </child>
    <ui>
      <menubar name="menubar">
        <menu action="game">
          <menuitem action="new"/>
          <menuitem action="pause_game"/>
          <separator/>
          <menuitem action="quit"/>
        </menu>
        <menu action="help">
          <menuitem action="about"/>
        </menu>
      </menubar>
    </ui>
  </object>
  <object class="GtkApplication" id="GhextrisApp">
    <property name="title" translatable="yes">Ghextris</property>
    <property name="type">GTK_WINDOW_TOPLEVEL</property>
    <property name="window_position">GTK_WIN_POS_NONE</property>
    <property name="modal">False</property>
    <property name="resizable">False</property>
    <property name="destroy_with_parent">False</property>
    <property name="icon">ghextris.png</property>
    <property name="decorated">True</property>
    <property name="skip_taskbar_hint">False</property>
    <property name="skip_pager_hint">False</property>
    <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
    <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
    <property name="enable_layout_config">True</property>
    <child internal-child="dock">
      <object class="BonoboDock" id="bonobodock1">
        <property name="visible">True</property>
        <property name="allow_floating">True</property>
        <child>
          <object class="BonoboDockItem" id="bonobodockitem1">
            <property name="visible">True</property>
            <property name="shadow_type">GTK_SHADOW_NONE</property>
            <child>
              <object class="GtkMenuBar" constructor="uimanager1" id="menubar">
                <property name="visible">True</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="placement">BONOBO_DOCK_TOP</property>
            <property name="band">0</property>
            <property name="position">0</property>
            <property name="offset">0</property>
            <property name="behavior">BONOBO_DOCK_ITEM_BEH_EXCLUSIVE|BONOBO_DOCK_ITEM_BEH_NEVER_VERTICAL|BONOBO_DOCK_ITEM_BEH_LOCKED</property>
          </packing>
        </child>
        <child>
          <object class="GtkHBox" id="hbox1">
            <property name="visible">True</property>
            <property name="homogeneous">False</property>
            <property name="spacing">0</property>
            <child>
              <object class="GnomeCanvas" id="canvas">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="anti_aliased">False</property>
                <property name="scroll_x1">0</property>
                <property name="scroll_y1">0</property>
                <property name="scroll_x2">100</property>
                <property name="scroll_y2">100</property>
                <property name="pixels_per_unit">1</property>
              </object>
              <packing>
                <property name="padding">0</property>
                <property name="expand">True</property>
                <property name="fill">True</property>
              </packing>
            </child>
            <child>
              <object class="GnomeCanvas" id="previewcanvas">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="anti_aliased">False</property>
                <property name="scroll_x1">0</property>
                <property name="scroll_y1">0</property>
                <property name="scroll_x2">100</property>
                <property name="scroll_y2">100</property>
                <property name="pixels_per_unit">1</property>
              </object>
              <packing>
                <property name="padding">0</property>
                <property name="expand">True</property>
                <property name="fill">True</property>
              </packing>
            </child>
          </object>
        </child>
      </object>
      <packing>
        <property name="padding">0</property>
        <property name="expand">True</property>
        <property name="fill">True</property>
      </packing>
    </child>
    <child internal-child="appbar">
      <object class="GnomeAppBar" id="appbar">
        <property name="visible">True</property>
        <property name="has_progress">False</property>
        <property name="has_status">True</property>
      </object>
      <packing>
        <property name="padding">0</property>
        <property name="expand">True</property>
        <property name="fill">True</property>
      </packing>
    </child>
  </object>
  <object class="GtkAboutDialog" id="about">
    <property name="border_width">5</property>
    <property name="visible">True</property>
    <property name="destroy_with_parent">False</property>
    <property name="icon">ghextris.png</property>
    <property name="decorated">True</property>
    <property name="skip_taskbar_hint">False</property>
    <property name="skip_pager_hint">False</property>
    <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
    <property name="gravity">GDK_GRAVITY_CENTER</property>
    <property name="logo">ghextris.png</property>
    <property name="copyright" translatable="yes">&#xA9; 2004 Mikko Rauhala &lt;mjr@iki.fi&gt;</property>
    <property name="comments" translatable="yes"/>
    <property name="authors">Mikko Rauhala &lt;mjr@iki.fi&gt;</property>
    <property name="translator_credits" translatable="yes">translator_credits</property>
  </object>
  <object class="GtkWindow" id="window1">
    <property name="visible">True</property>
    <property name="title" translatable="yes">window1</property>
    <property name="type">GTK_WINDOW_TOPLEVEL</property>
    <property name="window_position">GTK_WIN_POS_NONE</property>
    <property name="modal">False</property>
    <property name="resizable">True</property>
    <property name="destroy_with_parent">False</property>
    <property name="decorated">True</property>
    <property name="skip_taskbar_hint">False</property>
    <property name="skip_pager_hint">False</property>
    <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
    <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="homogeneous">False</property>
        <property name="spacing">0</property>
        <child>
          <placeholder/>
        </child>
        <child>
          <placeholder/>
        </child>
        <child>
          <object class="GtkAlignment" id="alignment1">
            <property name="visible">True</property>
            <property name="xalign">0.5</property>
            <property name="yalign">0.5</property>
            <property name="xscale">1</property>
            <property name="yscale">1</property>
            <property name="top_padding">0</property>
            <property name="bottom_padding">0</property>
            <property name="left_padding">0</property>
            <property name="right_padding">0</property>
            <child>
              <object class="GtkHButtonBox" id="hbuttonbox1">
                <property name="visible">True</property>
                <property name="layout_style">GTK_BUTTONBOX_END</property>
                <property name="spacing">0</property>
                <child>
                  <object class="GtkButton" id="button3">
                    <property name="visible">True</property>
                    <property name="can_default">True</property>
                    <property name="can_focus">True</property>
                    <property name="label">gtk-close</property>
                    <property name="use_stock">True</property>
                    <property name="relief">GTK_RELIEF_NORMAL</property>
                    <property name="focus_on_click">True</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
          <packing>
            <property name="padding">0</property>
            <property name="expand">False</property>
            <property name="fill">False</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
